# [EARLY ACCESS] Upsert virtual transaction overrides and suppressions `UpsertVirtualTransactionOverride` `POST /api/transactionportfolios/{scope}/{code}/overridevirtualtransactions` - [OpenAPI fragment](https://www.lusid.com/docs/api/lusid/endpoints/transaction-portfolios/UpsertVirtualTransactionOverride.json) - [Rendered page](https://www.lusid.com/docs/api/lusid/endpoints/transaction-portfolios/UpsertVirtualTransactionOverride) Creates or updates overrides and suppressions of virtual transactions generated by a single instrument event. Overrides and suppressions are each keyed by the virtual transaction id they target. This is a full replace of the previously stored overrides and suppressions for the targeted instrument event - any previously stored entry not present in this request is removed. Calling this endpoint again with the same virtual transaction id will replace the existing override or suppression in place. ## Referenced schemas - [OverrideVirtualTransactionsRequest](https://www.lusid.com/docs/api/lusid/schemas/OverrideVirtualTransactionsRequest.txt) - [UpsertVirtualTransactionOverrideResponse](https://www.lusid.com/docs/api/lusid/schemas/UpsertVirtualTransactionOverrideResponse.txt) [< Transaction Portfolios](https://www.lusid.com/docs/api/lusid/endpoints/transaction-portfolios/llms.txt)